Subject: [Seamoby] Revised Section 4 of CAR issues draft

From: "Hemant Chaskar" <[email-masked]>
Date: Wed, 16 Jan 2002 02:57:28

Hi,

Here is the revised text for Section 4 of CAR discovery issues draft. The 
text has been finetuned. I hope that it is now clear enough. If there are no 
more concerns on Section 4, we can submit the problem statement draft with 
this text for Section 4, to IESG.

Hemant

-------------------------------snip----------------------------------

4. APPROACHES TO CANDIDATE ACCESS ROUTER DISCOVERY

In this section, we describe three approaches to CAR discovery,
namely the Anticipated CAR Discovery (discovery prior to handoff), Dynamic 
CAR
Discovery (discovery at the time of handoff) and Hybrid CAR Discovery.

4.1 Anticipated CAR Discovery

In Anticpated CAR Discovery, CAR discovery is performed at some
point prior to the MN performing a handoff. This can be performed in
a number of ways and with various entities particpating in the process.
One illustrative method for Anticipated CAR Discovery is given below.

In this method, an AR currently serving an MN can identify a set of CARs for
the MN's handoff, at some point prior to handoff. This information is then
available at the time of handoff as input to the TAR Selection Algorithm. 
Another
input to the TAR Selection Algorithm may be the preferences expressed by the 
MN
prior to the handoff, or preferences enforced by the administrative control. 
At
the time of handoff, it may only be required to provide input to the TAR 
Selection
Algorithm about the reachability of neighboring ARs from the MN. This 
reachability
information is usually in the form of the identity of the AP to which the MN
can listen to, and the current AR has to resolve this AP identity to the
GAAR's IP address.

The advantage of Anticipated CAR Discovery is that the handoff can be 
executed
quickly because much of the information needed by the TAR Selection 
Algorithm
is collected in advance of handoff.

Anticipated CAR Discovery is depicted in Figure 1.

    -----------------------------------------------------------------
   |                     All routers                                 |
   |                          |  Discovery of ARs whose coverage     |
   |                          |  areas overlap (GAARs) with that of  |
   |                          v  the current AR                      |
   |           Local map of GAARs at current AR                      |
   |                          |                                      |
   |                          |   Capability identification          |
   |                          v                                      |
   |      CARs for MN's handoff identified at current AR             |
   |                          |                                      |
    --------------------------|--------------------------------------
                              |
                              |   Predefined preferences of the MN
         AR Reachability      |   and administrative preferences
           for the MN         |
                |             |             |
                v             v             v
             TAR Selection Algorithm executed at the time of
             handoff to determine unique TAR for MN's handoff

              Figure 1: Anticipated CAR Discovery

4.2 Dynamic CAR Discovery

In Dyanmic CAR discovery, CAR discovery is performed at the time the MN is
about to undergo handoff. Again, this can be performed in a number of ways
and with various entities particpating in the process. One illustrative 
method
for Dynamic CAR Discovery is given below.

According to this method, an MN dynamically obtains information about the 
available
ARs for handoff, along with their capabilities. This is done after the 
handoff trigger
is generated. When the MN detects an AR that has capabilities matching its 
preferences,
the MN may notify the currently serving AR to perform a handoff to this AR 
using one or
more of the seamless handoff protocols. The advantage of this method is that 
the MN
has fine-grained control over the TAR selection. However, this method 
generates more
radio traffic during the CAR discovery step. This is because capability 
information is
sent to the MN over the air. Also, it is required that the MN can receive 
IP-level
capability information from the GAARs and negotiate requirements with the 
GAARs, while
still being connected to the current AR.

Dynamic CAR Discovery is shown in Figure 2.

       --------------------------------------------------------------
      |                                                              |
      |                 GAARs identified at handoff time             |
      |                           |                                  |
      |                           | Capability identification        |
      |                           |                                  |
      |                           v                                  |
      |            CARs for MN's handoff identified                  |
      |                           |                                  |
       ---------------------------|----------------------------------
                                  |
                                  | TAR selection at the
                                  |    time of handoff
                                  v
                        Unique TAR identity

                  Figure 2: Dynamic CAR Discovery

4.3 Hybrid CAR Discovery

In practice, a hybrid of the Anticipated and Dynamic CAR discovery 
approaches
may be used. For example, in the hybrid approach, the GAAR discovery and 
much
of the capability identification may be performed prior to handover, while 
the
remaining capability identification may happen during the handover process. 
But,
there are other alternatives too.

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

_______________________________________________
Seamoby mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/seamoby

---

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Wed, 16 Jan 2002 16:33:21 +0100

I'm happy with the new modifications.

Hesham

  > -----Original Message-----
  > From: Hemant Chaskar [mailto:[email-masked]]
  > Sent: Wednesday, January 16, 2002 3:57 AM
  > To: [email-masked]
  > Subject: [Seamoby] Revised Section 4 of CAR issues draft
  > 
  > 
  > Hi,
  > 
  >    |                     All routers                        
  >    |                          v  the current AR             
  >    |                          v                             
  >       |                           v

---

From: "Govind Krishnamurthi" <[email-masked]>
Date: Wed, 16 Jan 2002 10:51:13 -0500

Hello Hesham,
Thanks for your comments.

Govind.

_________________________________________________________________
Send and receive Hotmail on your mobile device: http://mobile.msn.com